{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    TT Change Slot
{% endblock %}

{% block head_block %}

{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Change TimeTable Slot
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs">
                        {% for eachSemester in semesterList %}
                            <li {% if semesterInstance.pk == eachSemester.semesterInstance.pk %}
                                class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ eachSemester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ eachSemester.displayText }}
                                </a>
                            </li>
                        {% endfor %}
                    </ul>

                    <form method="POST">{% csrf_token %}
                        <input type="hidden" name="hiddenSemesterPk"
                               value="{{ semesterInstance.pk }}">
                        <div align="right">
                            <button type="button" class="btn1 btn-dark-green" data-toggle="modal"
                                    data-target="#example">
                                Add Slot
                            </button>

                            <!-- Modal -->
                            <div class="modal" id="example" tabindex="-1"
                                 role="dialog"
                                 aria-labelledby="exampleLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h3 align="center" class="modal-title" id="exampleLabel">
                                                Add Slot</h3>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="form-horizontal form-label-left">
                                                <div class="form-group">
                                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                        Date
                                                    </label>
                                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                                        <input id="datepicker" name="date" class="form-control"
                                                               type="text" required>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                        Slot Number
                                                    </label>
                                                    <div class="col-md-6 col-sm-6 col-xs-12" align="left">
                                                        <select class="selectpicker" name="slotNumber"
                                                                required>
                                                            <option disabled selected>-----------</option>
                                                            <option value="1">1</option>
                                                            <option value="2">2</option>
                                                            <option value="3">3</option>
                                                            <option value="4">4</option>
                                                            <option value="5">5</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn1 btn1-secondary"
                                                    data-dismiss="modal">
                                                Close
                                            </button>
                                            <button type="submit" class="btn1 btn-dark-green" name="addSlot">
                                                Add Slot
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <br><br>
                    {% if not timetableSlot %}
                        <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                            <h4> No Slots changes are made </h4>
                        </div>
                    {% else %}
                        <div class="tab-content">
                            <table class="col-md-12 table table-bordered table-striped table-responsive">
                                <thead>
                                <td align="center" style="font-weight: bolder">S.No.</td>
                                <td align="center" style="font-weight: bolder">Date</td>
                                <td align="center" style="font-weight: bolder">Slot</td>
                                </thead>
                                <tbody>
                                {% for entry in timetableSlot %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td align="center">{{ entry.date }}</td>
                                        <td align="center">{{ entry.slotNumber }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endif %}

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $(function () {
            $("#datepicker").datepicker({
                dateFormat: 'dd/mm/yy',
                beforeShowDay: $.datepicker.noWeekends
            });
        });

        $('document').ready(function () {
            $('[name="semesterTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semesterPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        {% if duplicateDate == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Date clashes with other dates.',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if isWeekend == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Date must be a weekday',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if startTermInvalid == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Date must be greater than Term 1 StartDate',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if startTermNotFound == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Enter Term 1 StartDate in Semester Plan',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}

        {% if attendanceAlreadyMarked == True %}
            $(function () {
                new PNotify({
                    title: 'Error!',
                    text: 'Attendance already marked for the date',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}
    </script>


{% endblock %}